<?php
 // Suppression des cookies
 setcookie('Personne[Nom]');
 setcookie('Personne[Prenom]');
 setcookie('Personne[Age]');
 setcookie('Personne[Horodatage]');
 ?>
 <!DOCTYPE html>
 <html>
  <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Gestion des cookies</title>
  </head>
  <body>
  <?php
  define("WEB_EOL","<br/>");
  date_default_timezone_set("Europe/Paris");
  if (isset($_COOKIE['Personne']))
  {
   echo "Lecture des Cookies  : ".WEB_EOL   ;
   foreach ($_COOKIE['Personne'] as $etiquette => $valeur)
   {
     $etiquette = strip_tags($etiquette);
     $valeur    = strip_tags($valeur)   ;  
     if ($etiquette == "Horodatage")
     {
      $etiquette="Date d'expiration";
      if (!empty($valeur))
         $valeur=date("d-M-Y",$valeur);
     }
        echo "$etiquette : $valeur".WEB_EOL;
   }
  }
  else
    echo "Auncun cookie nomm&eacute; :  Personne".WEB_EOL;
  ?>
 </body>
</html>